Package org.eclipse.m2m.atl.dsls.textsource

# Class TextSource

java.lang.Object
org.eclipse.m2m.atl.dsls.textsource.TextSource

Direct Known Subclasses:
  `ByteArrayTextSource`, `IFileTextSource`, `StringTextSource`, `URLTextSource`

public abstract class TextSource extends Object
The abstract text source definition.

## Constructor Summary

Constructors
Constructor
Description
`TextSource()`

## Method Summary

Modifier and Type
Method
Description
`BufferedReader`
`openBufferedReader()`
Returns a buffered reader of the text source.
`abstract InputStream`
`openStream()`
Returns an input stream of the text source.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextSource

public TextSource()

## Method Details

### openStream

public abstract InputStream openStream() throws IOException
Returns an input stream of the text source.

Returns:
  an input stream of the text source
Throws:
  `IOException`

### openBufferedReader

public BufferedReader openBufferedReader() throws IOException
Returns a buffered reader of the text source.

Returns:
  a buffered reader of the text source
Throws:
  `IOException`